Description

When using the processing toolbox and trying to double click and run any grass tool (not version 7) I get a "Missing dependency.This

algorithm cannot be run :-( " error. When I check the log I get a grass error "Sorry, <z> is not a valid flag". The full log is here:

https://gist.github.com/palmerj/3fc05f2a4ceabfafde12

I'm running Ubuntu 12.04 64bit, QGIS master 64bit and grass 6.4.1. All installed from packages.

History

#1 - 2014-10-23 11:00 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from Grass Missing dependency.This algorithm cannot be run to Processing: GRASS issue in v.out.ogr code

are you sure you have GRASS 6.4.1 installed?

that flag (-z) used by v.out.ogr to export GRASS vectors to shapefiles is indeed available in GRASS 6.4

http://grass.osgeo.org/grass64/manuals/v.out.ogr.html

#2 - 2014-10-23 11:03 AM - Jeremy Palmer

Pretty sure. I can start grass from the commandline.

jpalmer@xxxxx:~$ which grass

/usr/bin/grass

jpalmer@xxxxx:~$ grass --version

GRASS GIS 6.4.1

Geographic Resources Analysis Support System (GRASS) is Copyright,

1999-2011 by the GRASS Development Team, and licensed under terms of the

GNU General Public License (GPL) version >=2.

This GRASS 6.4.1 release is coordinated and produced by the

GRASS Development Team with contributions from all over the world.

This program is distributed in the hope that it will be useful, but

WITHOUT ANY WARRANTY; without even the implied warranty of

MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU

General Public License for more details.
#3 - 2014-10-23 11:26 AM - Giovanni Manghi

Jeremy Palmer wrote:

Pretty sure. I can start grass from the commandline.

jpalmer@xxxxx:~$ which grass

/usr/bin/grass

jpalmer@xxxxx:~$ grass --version

GRASS GIS 6.4.1

do you have multiple grass versions installed? if yes what it using processing?

please have also a look to v.out.ogr man page in your installation and see if it says that a -z flag is available.

#4 - 2014-10-23 11:30 AM - Giovanni Manghi

if that flag is not available in grass 6.4.1 from the official ubuntu repositories than you may want to consider to update version using the ubuntugis

repository (don't be afraid by the "unstable" name, it is not unstable software, on the contrary):

https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable?field.series_filter=precise

#5 - 2014-10-23 09:40 PM - Jeremy Palmer

I don't think I have multiple copies installed:

dpkg -l | grep grass

ii  grass                                  6.4.1-1ubuntu2                                                          Geographic Resources Analysis Support System

rc  grass-core                             6.4.3RC3-4                                                              GRASS GIS core components

ii  libqgisgrass2.5.0                      2.5.0+git20141012+659cada~precise1                                      QGIS - shared grass library

ii  qgis-plugin-grass                      2.5.0+git20141022+f2b7c0f~precise1                                      GRASS plugin for QGIS

ii  qgis-plugin-grass-common               2.5.0+git20141022+f2b7c0f~precise1                                      GRASS plugin for QGIS - architecture-independent data

Yes my current install is sourced from precise/universe. man pages says it doesn't support -z. I will try ubuntugis-unstable.

But really does seem like QGIS should support better support this situation. Rather than say there's a missing dependency, it should state this version is

not supported. Even better would be to support versions that don't have the -z option. After all it's only for 3D shapefiles.

Thanks

Jeremy

#6 - 2014-10-24 01:43 AM - Giovanni Manghi

- Subject changed from Processing: GRASS issue in v.out.ogr code to better error messages

- Operating System deleted (ubuntu)

- Target version changed from Version 2.6 to Future Release - Nice to have

- Status changed from Feedback to Open

- Category changed from Processing/GRASS to 94

- Tracker changed from Bug report to Feature request
But really does seem like QGIS should support better support this situation. Rather than say there's a missing dependency,

it should state this version is not supported.

yes we know, error message when something goes wrong is not optimized for all situations, but given the number of different sw that is possible to run with

Processing it is also hard to make things better.

Even better would be to support versions that don't have the -z option. After all it's only for 3D shapefiles.

without it if you create a 3d vector with a GRASS module, then it will become 2d when outputted by Processing. So it seems to me that is important to have

it. The real option would be to have a check for the GRASS version and do not use it in case GRASS version does not support it, but it is worth the effort?

After all GRASS releases without the -z v.out.ogr option are pretty old.

#7 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#8 - 2015-06-07 04:20 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

error messages have been improved in qgis master recently.
